//---------------------------------------------------------------------------

#include <vcl.h>
#include <string>       // 
#include <iostream>     // -
#include <fstream>      //  -
#include <iomanip>      // setw()
#include <cstdlib>      // exit()

#include <conio.h>   //  getch()

#pragma hdrstop

//---------------------------------------------------------------------------

#pragma argsused
using namespace std;

std::string ToRus(const std::string &in)
{
  char *buff = new char [in.length()+1];
  CharToOem(in.c_str(),buff);
  std::string out(buff);
  delete [] buff;
  return out;
}

//  
void writeCharsetToFile (const string& filename);
void outputFile (const string& filename);

int main (int argc, char* argv[])
{
  writeCharsetToFile("charset.out");
  outputFile("charset.out");
  cout << ToRus(" ");
  getch();
  return 0;
}

void writeCharsetToFile (const string& filename)
{
  //   
  ofstream file(filename.c_str());

  //  ?
  if (! file) {
      // ,   
      cerr << ToRus("    \"") << filename << "\""
           << endl;
      exit(EXIT_FAILURE);
  }

  //    
  for (int i=32; i<256; i++) {
      file << ToRus(": ") << setw(3) << i << "   "
           << ToRus(":   ") << static_cast<char>(i) << endl;
  }

}   //   

void outputFile (const string& filename)
{
  // open input file
  ifstream file(filename.c_str());

  //  ?
  if (! file) {
    // ,   
      cerr << ToRus("    \"") << filename << "\""
           << endl;
      exit(EXIT_FAILURE);
  }

  //     cout
  char c;
  while (file.get(c)) {
      cout.put(c);
  }

}   //   


//---------------------------------------------------------------------------